<?php
/**
 * 
 * @file user_class.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_user_class.php');

$url = 'mod_user_class/user_class.php';
Common::checkAdminFileAuth($url); //check file authority
$clComUserClass = new ComUserClass();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'up':
    case 'down':
        $clComUserClass -> orderbyRecords('down');
        break;
    case 'delete':
        $clComUserClass -> deleteRecords();
        break;
} 

$clTemplate = new Template(getAdminTemplateDir($url));
$clComUserClass -> layout_user_class();

?>